New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Pin python version to 3.5 for RTD so that docs will build #506

Merged
merged 1 commit into from Jan 6, 2017

Conversation

Projects
None yet
2 participants
@mpacer
Copy link
Member

mpacer commented Jan 4, 2017

I'm not entirely sure why, but when readthedocs attempts to use python 3.6 to build our docs, it fails.

I think this may relate to dependencies that do not expect to be interpreted via python 3.6. See the error log at https://readthedocs.org/projects/nbconvert/builds/4854852/.

Or the issue I filed with conda at conda/conda#4168

What really confuses me though is that this included some dependencies that list 3.6* as a potential version number… The only reason I thought to notice this is that I saw py36_ in the installation file names.

Solution: pinning the version at 3.5 until we figure out how to better solve this problem. (Note, the rtd build succeeds with this change, see https://readthedocs.org/projects/nbconvert-mp/builds/4855978/)

@takluyver takluyver merged commit 74f389b into jupyter:master Jan 6, 2017

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
@mpacer

This comment has been minimized.

Copy link
Member Author

mpacer commented Jan 6, 2017

Hmm this fixed this for my personal repo but not the jupyter one.

@mpacer

This comment has been minimized.

Copy link
Member Author

mpacer commented Jan 6, 2017

Oh actually it did work! It just was the last to be merged so the other two merges still failed & sent emails saying so.

@mpacer mpacer added this to the 5.1 milestone Jan 21, 2017

@mpacer mpacer added unlogged and removed unlogged labels Jan 21, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment